    Return the result of an XPA call to the image viewer.

image_xpaset(arg, data=None)
arg - str
data - optional

Send a command to the image viewer.

Change the zoom setting of the active frame:

>>> image_xpaset('zoom 4')

Overlay the coordinate grid on the current frame:

>>> image_xpaset('grid yes')

Add the region file 'src.reg' to the display:

>>> image_xpaset('regions src.reg')

Create a png version of the image being displayed:

>>> image_xpaset('saveimage png /tmp/img.png')

PARAMETERS

The parameters for this function are:

Parameter
Definition
arg
A command to send to the image viewer via XPA.
data
The data for the command.

Notes

The XPA access point of the ds9 image viewer lets commands and queries to be sent to the viewer.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023